package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ApilogBatchdetailRequest struct {
	// <ext>core:true</ext> 【应用类型】应用类型 【作用】 通过传值获取不同类型应用调用开放平台接口时的调用详情 1、open：第三方系统通过开放平台调用接口的详情记录 2、webapp：电子签署前台调用接口的详情记录 3、不传值：默认获取全部 【传参】 open（第三方系统通过开放平台调用接口的详情记录），webapp（电子签署前台调用接口的详情记录）；不传值默认为：全部。
	AppType string `json:"appType,omitempty"`
	// <ext>core:true</ext> 【查询指定页码】查询指定页码 【传参】 不传值默认为：1。
	PageNo *int64 `json:"pageNo,omitempty"`
	// <ext>core:true</ext> 【每页数量】每页数量 【传参】 不传值默认为：10。
	PageSize *int64 `json:"pageSize,omitempty"`
	// <ext>format:date;core:true</ext> 【开始时间】开始时间 【作用】 用于查询开始时间之后发生的用量； 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	StartTime string `json:"startTime,omitempty"`
	// <ext>format:date;core:true</ext> 【结束时间】结束时间 【作用】 用于查询结束时间之前发生的用量； 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	EndTime string `json:"endTime,omitempty"`
	// <ext>core:true</ext> 【应用token】应用token 【作用】 1、通过传值获取指定应用通过开放平台调用接口的详情记录 2、当appType为\"open\"时可选填，不填则为全部
	AccessToken string `json:"accessToken,omitempty"`
	// <ext>core:true</ext> 【接口响应状态】接口响应状态 【作用】 查询指定接口响应状态的接口调用详情 【传参】 取值范围：success（成功状态），fail（失败状态）；不传值默认为：全部。
	ResponseStatus string `json:"responseStatus,omitempty"`
}

func (obj ApilogBatchdetailRequest) GetUrl() string {
	return "/apilog/batchdetail"
}

func (obj ApilogBatchdetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("appType", obj.AppType)
	parameter.AddParam("pageNo", obj.PageNo)
	parameter.AddParam("pageSize", obj.PageSize)
	parameter.AddParam("startTime", obj.StartTime)
	parameter.AddParam("endTime", obj.EndTime)
	parameter.AddParam("accessToken", obj.AccessToken)
	parameter.AddParam("responseStatus", obj.ResponseStatus)
	return parameter
}
